> For the complete documentation index, see [llms.txt](https://akiba-digital.gitbook.io/akiba-api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://akiba-digital.gitbook.io/akiba-api-docs/api-documentation/bank-accounts/lending-recommendation.md).

# Lending recommendation

This allows lenders to customise lending repayment terms based on customer's financial standing.

### Offer Recommendation

## Recommend loan offers based on customer affordability&#x20;

<mark style="color:green;">`POST`</mark> `https://api.akibadigital.com/v1/offer/recommendation`

#### Request Body

| Name                                                     | Type   | Description           |
| -------------------------------------------------------- | ------ | --------------------- |
| requested\_amount<mark style="color:red;">\*</mark>      | Int    | loan amount requested |
| customer\_id<mark style="color:red;">\*</mark>           | String |                       |
| loan\_type                                               | String |                       |
| loan\_interest<mark style="color:red;">\*</mark>         | Int    |                       |
| max\_repyment\_months<mark style="color:red;">\*</mark>  | Int    |                       |
| min\_repayment\_months<mark style="color:red;">\*</mark> | Int    |                       |
| other\_fees\_total<mark style="color:red;">\*</mark>     | Int    |                       |

{% tabs %}
{% tab title="200: OK Successfully generated offer" %}

```javascript
{
    "requested": 35000,
    "recommendations": [
        {
            "offer_id": "29e42a6c-b22c-46ab-a09b-e144b446f6d1",
            "date_offer": "2021-11-02T18:01:23.000000Z",
            "offer_amount": 30204,
            "monthly_repayment": 9,
            "default_probability": 0.113,
            "discount_rate_month": 0,
            "total_fees": null,
        },
        {
            "offer_id": "08935b9b-7372-4e09-8984-1056a60f7dc8",
            "date_offer": "2021-11-02T18:01:24.000000Z",
            "offer_amount": 31204,
            "monthly_repayment": 10,
            "default_probability": 0.12,
            "discount_rate_month": 0,
            "total_fees": null,
            
        }
    ]
}

```

{% endtab %}
{% endtabs %}
